PRIVLEAPD(1)

NAME
privleapd - privleap backend server

SYNOPSIS
privleapd [-C|--check-config] [-h|--help|-?]

DESCRIPTION
The backend server for privleap. Runs predefined code snippets as root when requested by an authorized client. privleapd listens for connections on UNIX sockets under /run/privleapd, it does not send or receive information over a network.

You usually will not need to run this directly - if privleap was installed from your distribution's repository, it should be pre-configured to start on boot. The one time you usually will want to run it is when ensuring that all configuration is valid before restarting privleapd.

OPTIONS

-C, --check-config
    Checks to ensure the privleap configuration is valid, then outputs a short report and exits.

-h, --help, -?
    Prints usage information.

ENVIRONMENT VARIABLES
None.

CONFIG FILES
See privleap-conf.d(5).

EXIT CODES
0: A config check succeeded.

1: A config check failed, or privleapd crashed.

Note that privleapd will usually not exit at all, as it is designed to run continuously in the background.

EXAMPLES
Check to ensure privleap configuration is valid:

privleapd -C

Restart privleapd to load new configuration files:

systemctl restart privleapd.service

WWW
https://github.com/Kicksecure/privleap

AUTHOR
This man page has been written by Aaron Rainbolt (arraybolt3@ubuntu.com).